%define upstream_name Pager
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.4.9
Release:     	%mkrel 6
Summary:    	Data paging class
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Pager-%{version}.tgz
URL: 		http://pear.php.net/package/Pager
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}/tests/

%description
It takes an array of data as input and pages it according to various
parameters.
It also builds links within a specified range, and allows complete
customization of the output (it even works with front controllers and
mod_rewrite).
Two operating modes available: "Jumping" and "Sliding" window style.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Pager.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Pager.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Pager
fi

%files
%doc docs/Pager/*
%{peardir}/*
%{xmldir}/Pager.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.4.9-6.mga6
+ Revision: 950448
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 2.4.9-5.mga5
+ Revision: 794561
- exclude deps from tests

* Wed Oct 15 2014 umeabot <umeabot> 2.4.9-4.mga5
+ Revision: 747852
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.4.9-3.mga5
+ Revision: 734139
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.9-2.mga5
+ Revision: 687440
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 spuhler <spuhler> 2.4.9-1.mga5
+ Revision: 640127
- upgrade to ber. 2.4.9
- removed %%define _requires_exceptions pear(Pager/Wrapper.php)

* Fri Oct 18 2013 umeabot <umeabot> 2.4.8-7.mga4
+ Revision: 517140
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.4.8-6.mga3
+ Revision: 377217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 spuhler <spuhler> 2.4.8-5.mga2
+ Revision: 199280
- %%define _requires_exceptions pear(Pager/Wrapper.php)
  pearized spec

* Sat Jan 21 2012 spuhler <spuhler> 2.4.8-4.mga2
+ Revision: 199148
+ rebuild (emptylog)

* Sat Feb 05 2011 spuhler <spuhler> 2.4.8-3.mga1
+ Revision: 47536
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Pager


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.8-3mdv2011.0
+ Revision: 613758
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-2mdv2010.1
+ Revision: 467940
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-1mdv2010.0
+ Revision: 383556
- update to new version 2.4.8

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.7-2mdv2009.1
+ Revision: 322654
- rebuild

* Sun Oct 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.7-1mdv2009.1
+ Revision: 292887
- update to new version 2.4.7

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.3-2mdv2009.0
+ Revision: 237054
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.4.3-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.4.3-1mdv2008.0
+ Revision: 15743
- 2.4.3


* Sat Sep 23 2006 David Walluck <walluck@mandriva.org> 2.4.1-2mdv2007.0
- Pager_Wrapper.php is required by some applications
- Provides: php-pear-Pager_Sliding

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-1mdk
- 2.4.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.3.6-1mdk
- 2.3.6
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-1mdk
- 2.3.3

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.1-1mdk
- initial Mandriva package (PLD import)

